com.rscja.deviceapi.interfaces

## Enum ConnectionStatus

- java.lang.Object
- - java.lang.Enum<ConnectionStatus>
  - - com.rscja.deviceapi.interfaces.ConnectionStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionStatus>

      public enum ConnectionStatus
      extends java.lang.Enum<ConnectionStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTED` 连接状态 Connection status
    `CONNECTING`
    `DISCONNECTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECTED

          public static final ConnectionStatus CONNECTED

      连接状态
      Connection status

      CONNECTED:已连接
      DISCONNECTED:已断开
      CONNECTING:连接中

    - #### DISCONNECTED

          public static final ConnectionStatus DISCONNECTED

    - #### CONNECTING

          public static final ConnectionStatus CONNECTING

  - ### Method Detail

    - #### values

          public static ConnectionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionStatus c : ConnectionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null